# Get some variables provided by autosubmit.
WORKDIR=%HPCROOTDIR%
ICON_VERSION=%ICON_VERSION%

# Go to the working directory
cd ${WORKDIR}

# Activate spack
SPACK_ENV=spack/share/spack/setup-env.sh
source ${SPACK_ENV}


# Load icon module
spack load icon-nwp@%ICON_VERSION%

# Check if icon is in the proper place
which icon

# Try to run it
srun icon --help